VisioList 1.2

Mark

Administrator
Staff member
Fresh Install Instructions
http://visiolist.com/docs/Installing-visiolist

Upgrade from 0.9 Instructions
Due VisioList 1.0 being a milestone, you first have to perform the 1.0 upgrade

Upgrade from 1.0 Instructions
- Take a backup of your files and database in case something goes wrong
- Upload and replace all the files from the update bundle ( VL-Upgrade-1.2.zip ) via FTP
- Run yoursite.com/install/update.php from your browser
- From within Admin Plugin Manager, run an update check and update the listed plugins

Upgrade from 1.1 Instructions
- Upload and replace all the files from the update bundle ( VL-Upgrade-1.2.zip ) via FTP
- Run yoursite.com/install/update.php from your browser
- Add the following to your user.css ( needed if you updated newest member plugin ). Note, skins might other than parabola might need to adjust the width so it fit nicely ;)
Code:
ul.newmembers img.screenshot {
  width: 200px;
}
Here are some of the changes in 1.2
- fix for ajax SMTP mailer
- gateway template fix (removed empty target attribute)
- $TMPL['category'] now works in link_code
- commented deprecated banner_url checks in classes.php
- moved default timezone into admin settings
- installer/importer updates to avoid undefined index notices
- fixed premium end email missing url

Download bundles coming soon :)
 

Attachments

Mark

Administrator
Staff member
Bundles are now online, I didn't get to test as much as I wanted... so if you have any issues please let me know right away. Just wanted to get this up for you guys without further delay.
 

proxydesign

Visiolist-Fan
Great update!
Got this error in adminpanel:

Code:
Notice: Undefined index: a_s_time_zone in /home/chllno/public_html/sources/admin/settings.php on line 609
 
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/chllno/public_html/sources/admin/settings.php:609) in /home/chllno/public_html/sources/misc/skin.php(357) : eval()'d code on line 3
I do also get this error, showing up when a user have signed up.

Code:
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/chllno/public_html/sources/join.php:250) in /home/chllno/public_html/sources/misc/skin.php(357) : eval()'d code on line 3
 

Mark

Administrator
Staff member
open index.php and find this:

// Enable when coding
error_reporting(E_ALL);

replace it with

// Enable when coding
//error_reporting(E_ALL);

And you should be good to go
 

magnum

Member
License Active
Deutsch
Bei dem Plugin „AffiliateTracker“ gibt es Probleme unter 1.1 und 1.2
Nach dem hochladen hat man nur eine weiße Seite im Admin Menü

Google Translate
In the plugin "Affiliate Tracker" there are problems in 1.1 and 1.2
After the upload you only get a white page in the admin menu
 

Mark

Administrator
Staff member
thanks for the report :) but please post in the topic for Affiliate tracker.
 

proxydesign

Visiolist-Fan
open index.php and find this:

// Enable when coding
error_reporting(E_ALL);

replace it with

// Enable when coding
//error_reporting(E_ALL);

And you should be good to go

Thank you, but I still get an error in Settings-panel at the top.

Code:
Notice: Undefined index: a_s_time_zone in /home/chllno/public_html/sources/admin/settings.php on line 609
 
Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/chllno/public_html/sources/admin/settings.php:609) in /home/chllno/public_html/sources/misc/skin.php(357) : eval()'d code on line 3
 

Basti

Administrator
Staff member
Error implies, that you have a missing language phrase, namely "a_s_time_zone" which was from this update.
If you do an a search for that phrase via admin language editor, i bet its not found correct?

If so, please add it with the value of ( without quotes ) "Your Time Zone"
If the above is done and still error in admin, it tells us the following #1 is false and the cause of the issue

And just to make sure that this has nothing to do with the updater
1) You language folder is writable yes?
2) in phpmyadmin the table "VL_etc" under the column "version" should list 1.2
 

thedark

Member
Hello new install :

Code:
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '`gateway` tinyint(1) default 1, `captcha` tinyint(1) default
 

Basti

Administrator
Staff member
Ty thedark.
Issue fixed and install bundle updated.
Please redownload the zip and reupload the install folder and then try again

Please note, due to failed attempt you need to go into your database and delete any table which was previous created ( should not have created any due to the error though )
 

magnum

Member
License Active
Wenn ich richtig geschaut habe fehlt in der Datei sources/user_cpl.php Zeile 257 ein </a>

Aktuell:
Code:
$TMPL['remain_day_premium'] = "0 {$LNG['a_s_days']} - <a href=\"{$TMPL['list_url']}/index.php?a=user_cpl&amp;b=user_premium\">{$LNG['user_cp_premium_buy_menu']}";
Richtig wäre:
Code:
$TMPL['remain_day_premium'] = "0 {$LNG['a_s_days']} - <a href=\"{$TMPL['list_url']}/index.php?a=user_cpl&amp;b=user_premium\">{$LNG['user_cp_premium_buy_menu']}</a>";
 

Basti

Administrator
Staff member
Do you recommend that users immediately update to 1.2?
Always a good idea to update to get rid of bugs, but this time they are not tooo critical, so if you not need those fixes in post 1 right now, no rush
 
Top